Subject: Flow Control & Link Act

From: [email-masked] (PNGacek)
Date: Mon, 17 May 93 13:08:26 MDT

David

Flow Control

I am inclined to agree with Shanon on the redundancy of ENTER/EXIT BUSY. 
As you point out the use of CWI in either an I frame or IPM could achieve 
the same effect as ENTER/EXIT BUSY. Using the CWI seems in keeping with 
the VR flow control mechanism, Reset Window Indicator when the minimum 
window is 0.

Link Activation

Currently, the RFC defines sending an RNR after a SABME/UA sequence. I 
assume this is done to avoid timeout problems. A small window exists 
between the UA and RNR that the other end could send I frames (typically 
1). With SDLC end to end this seems a bit more of a problem as the 
secondary can't send an RNR until it gets permission, usually in the 
first I frame (containing an ACTPU Rq) or soon after. 

While I readily admit these are implementation details, tieing the UA to 
the CONTACTED message would avoid frame  buffering (potentially at the 
expense of timeout problems).

Any thoughts?

Paul Gacek
Novell